Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76916 - Bad: Installer crashed
Summary: Bad: Installer crashed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 12:19 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:03 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-29 12:19:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
Bad: The installation cannot go on.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Begin the installation.
2.After choosing how to deal with creating partitions,the Bug comes.
3.
	

Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Local variables in innermost frame:
rc: 24320


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of 
<gui.InstallInterface instance at 0x868b2cc>>
  loopbackFile: None
  progressWindow: <bound method InstallInterface.progressWindow of 
<gui.InstallInterface instance at 0x868b2cc>>
  device: hdc
  tree: /mnt/source
  rootPath: /mnt/sysimage
  currentDisc: [1]
step: 9
intf: InstallInterface instance, containing members:
  icw: InstallControlWindow instance, containing members:
    displayHelp: 1
    stockButtons: (('gtk-go-back', 'prevButtonStock', '_Back', <bound method 
InstallControlWindow.prevClicked of <gui.InstallControlWindow instance at 
0x830cffc>>), ('gtk-go-forward', 'nextButtonStock', '_Next', <bound method 
InstallControlWindow.nextClicked of <gui.InstallControlWindow instance at 
0x830cffc>>), ('gtk-new', 'releaseButton', '_Release Notes', <bound method 
InstallControlWindow.releaseClicked of <gui.InstallControlWindow instance at 
0x830cffc>>), ('gtk-help', 'showHelpButton', 'Show _Help', <bound method 
InstallControlWindow.helpClicked of <gui.InstallControlWindow instance at 
0x830cffc>>), ('gtk-help', 'hideHelpButton', 'Hide _Help', <bound method 
InstallControlWindow.helpClicked of <gui.InstallControlWindow instance at 
0x830cffc>>), ('gtk-execute', 'debugButton', '_Debug', <bound method 
InstallControlWindow.debugClicked of <gui.InstallControlWindow instance at 
0x830cffc>>))
    handle: 1155
    help: <TextViewBrowser object (GtkTextView) at 0x85f4074>
    buttonBox: <gtk.HButtonBox object (GtkHButtonBox) at 0x85f605c>
    hideHelpButton: <gtk.Button object (GtkButton) at 0x84db4b4>
    nextButtonStock: <gtk.Button object (GtkButton) at 0x848f26c>
    help_sw: <gtk.ScrolledWindow object (GtkScrolledWindow) at 0x82bfc04>
    dir: 1
    dispatch: Already dumped
  reloadRcQueued: 0
    ii: Already dumped
    currentWindow: PartitionMethodWindow instance, containing members:
      ics: InstallControlState instance, containing members:
        nextButtonLabel: None
        helpButtonEnabled: 1
        searchPath: [./, /usr/share/anaconda/, ./]
        prevButtonLabel: None
        grabNext: 0
        title: g:>d=:f4i??e0/?e	'??#013;
        nextButtonInfo: None
        prevEnabled: 1
        html: 
        helpEnabled: 3
        nextEnabled: 1
        htmlFile: howpartition
        prevButton: gtk-prev
        cw: Already dumped
        nextButton: gtk-next
      useDS: <gtk.RadioButton object (GtkRadioButton) at 0x849d7b4>
      useFdisk: <gtk.RadioButton object (GtkRadioButton) at 0x86fa41c>
      useAuto: <gtk.RadioButton object (GtkRadioButton) at 0x88015a4>
      partitions: Partitions instance, containing members:
        useFdisk: 0
        useAutopartitioning: 1
        autoClearPartType: 2
        nextUniqueID: 6
        reinitializeDisks: 0
        autoClearPartDrives: []
        zeroMbr: 0
        isKickstart: 0
        requests: [PreexistingPartitionSpec instance, containing members:
          currentDrive: None
          badblocks: None
          format: None
          migrate: None
          origfstype: None
          primary: None
          fstype: None
          preexist: 1
          dev: None
          uniqueID: 2
          device: hda2
          mountpoint: None
          requestSize: 36005.0537109
          maxSizeMB: None
          size: 36005.0537109
          end: 94221224

Comment 1 Michael Fulbright 2002-10-30 21:50:16 UTC
Do you have LVM setup on these drives currently?

Comment 2 Michael Fulbright 2002-12-02 16:10:17 UTC
Closing due to inactivity, please reopen if you have additional information to add.

Comment 3 Red Hat Bugzilla 2006-02-21 18:50:03 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.